# GearmanWorker::setOptions

(PECL gearman >= 0.5.0)

GearmanWorker::setOptions — Set worker options

### Description

public GearmanWorker::setOptions ( int `$option` ) : bool

Sets one or more options to the supplied value.

### Parameters

`option`

  The options to be set

### Return Values

Always returns `TRUE`.

### See Also

- GearmanWorker::options() - Get worker options
- GearmanWorker::addOptions() - Add worker options
- GearmanWorker::removeOptions() - Remove worker options
- GearmanClient::setOptions() - Set client options